# $Revision: 1.6 $, $Date: 2007/10/22 12:07:04 $
Summary:	User-friendly face for Vim
Summary(pl.UTF-8):	Przyjazny dla użytkownika interfejs do Vima
Name:		cream
Version:	0.39
Release:	1
License:	GPL v2
Group:		Applications/Editors/Vim
Source0:	http://dl.sourceforge.net/cream/%{name}-%{version}.tar.gz
# Source0-md5:	caef5e026c740b28c9d19eec4504d428
Source1:	%{name}.sh
Source2:	%{name}.desktop
URL:		http://cream.sourceforge.net/
Requires:	gvim
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cream is a modeless GUIification of Vim. Cream includes all the
features of Vim plus many custom utilities. A short list of features
includes syntax highlighting, spell check, multi-file find/replace,
bookmarking, function prototype popups, macros, auto-wrapping,
reformatting, justification, time/date stamps, file explorer,
completion, sorting, calendar, tag navigation, block commenting,
Microsoft, Unix and Apple format text editing, virtually unlimited
file sizes, 38 varieties of 8-bit, 2-byte, and Unicode support,
single/multiple document modes, unlimited undo/redo, show invisible
characters, word count, and more.

%description -l pl.UTF-8
Cream to pozbawione trybów ubranie Vima w graficzny interfejs
użytkownika. Zawiera wszystkie możliwości Vima z dodatkiem wielu
własnych narzędzi. Skrócona lista możliwości obejmuje podświetlanie
składni, sprawdzanie pisowni, wyszukiwanie i zastępowanie ciągów w
wielu plikach, zakładki, podpowiedzi prototypów funkcji, makra,
automatyczne zawijanie, reformatowanie, justowanie, znaczniki czasowe,
eksplorator plików, dopełnianie, sortowanie, kalendarz, nawigację po
znacznikach, komentowanie bloków, edycję tekstu w formacie Microsoftu,
uniksowym i Apple'a, praktycznie nieograniczone rozmiary plików, 38
wariacji kodowań 8-bitowych, 2-bajtowych i unikodowych, tryby pracy
jedno- i wielodokumentowy, nieograniczone undo/redo, pokazywanie
niewidocznych znaków, liczenie słów...

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/vim/cream/{addons,bitmaps,docs,docs-html,filetypes,help},%{_pixmapsdir}}
cp -a creamrc $RPM_BUILD_ROOT%{_datadir}/vim/cream
cp -a *.vim $RPM_BUILD_ROOT%{_datadir}/vim/cream
cp -a addons/*.vim $RPM_BUILD_ROOT%{_datadir}/vim/cream/addons
cp -a bitmaps/*.bmp $RPM_BUILD_ROOT%{_datadir}/vim/cream/bitmaps
cp -a bitmaps/*.xpm $RPM_BUILD_ROOT%{_datadir}/vim/cream/bitmaps
cp -a docs/*.txt $RPM_BUILD_ROOT%{_datadir}/vim/cream/docs
cp -a docs-html/*.html $RPM_BUILD_ROOT%{_datadir}/vim/cream/docs-html
##cp -a docs-html/*.css $RPM_BUILD_ROOT%{_datadir}/vim/cream/docs-html
cp -a docs-html/*.png $RPM_BUILD_ROOT%{_datadir}/vim/cream/docs-html
cp -a filetypes/*.vim $RPM_BUILD_ROOT%{_datadir}/vim/cream/filetypes
cp -a help/*.txt $RPM_BUILD_ROOT%{_datadir}/vim/cream/help

install -d $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

install -d $RPM_BUILD_ROOT%{_desktopdir}
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

# icons
install %{name}.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/vim/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cream.spec,v $
Revision 1.6  2007/10/22 12:07:04  arekm
- up to 0.39

Revision 1.5  2007/05/15 11:08:40  glen
- rel 1

Revision 1.4  2007/05/14 20:11:52  qboosh
- pl

Revision 1.3  2007/05/14 19:58:32  glen
- picky df fetcher

Revision 1.2  2007/05/14 19:44:18  glen
- use static desktop file
- working binscript

Revision 1.1  2007/05/14 19:34:58  glen
- new, based on mdk spec
